[API Reference](../README.md) > [GetAgreementParams](../interfaces/GetAgreementParams.md)



# Interface: GetAgreementParams


## Properties
<a id="agreementId"></a>

### «Optional» agreementId

**●  agreementId**:  *`number`* 

*Defined in [wrappers/vestingScheme.ts:591](https://github.com/daostack/arc.js/blob/6bbd1fd8/lib/wrappers/vestingScheme.ts#L591)*



Optional agreement Id




___

<a id="avatar"></a>

###  avatar

**●  avatar**:  *[Address](../#Address)* 

*Defined in [wrappers/vestingScheme.ts:587](https://github.com/daostack/arc.js/blob/6bbd1fd8/lib/wrappers/vestingScheme.ts#L587)*



The address of the avatar




___


